with open("/data/yb2618/Tiny-Language-Models-Framework/datasets/dataset-53/data/train.txt", "r") as f:
	data = f.read()
examples = data.split("\n\n")[:375_000]
with open("/data/yb2618/Tiny-Language-Models-Framework/datasets/dataset-58/data/train.txt", "w") as f:
	f.write("\n\n".join(examples)+"\n\n")

with open("/data/yb2618/Tiny-Language-Models-Framework/datasets/dataset-53/data/val.bin", "rb") as f:
	data = f.read()
with open("/data/yb2618/Tiny-Language-Models-Framework/datasets/dataset-58/data/val.bin", "wb") as f:
	f.write(data)
